MEMORY(3)

NAME
malloc, free, realloc, calloc, alloca - general memory allocation operations

SYNOPSIS
#include <stdlib.h>
void *
malloc(size_t size);
void
free(void *ptr);
void *
realloc(void *ptr, size_t size);
void *
calloc(size_t nelem, size_t elsize);
void *
alloca(size_t size);

DESCRIPTION
These functions allocate and free memory for the calling process. They are described in the individual manual pages.

SEE ALSO
calloc(3), free(3), malloc(3), realloc(3), alloca(3),

STANDARDS
These functions, with the exception of alloca() conform to ansiC.